Skip to main content
GET
/
smart-contracts
/
{address_hash_param}
/
audit-reports
Audit reports list
curl --request GET \
  --url 'https://api.blockscout.com/{chain_id}/api/v2/smart-contracts/{address_hash_param}/audit-reports?apikey='
{
  "items": [
    {
      "audit_company_name": "<string>",
      "audit_publish_date": "2023-12-25",
      "audit_report_url": "<string>"
    }
  ],
  "next_page_params": {}
}

Authorizations

apikey
string
query
required

API key for authentication. Required for all Pro API endpoints. Obtain your API key at https://dev.blockscout.com/

Path Parameters

address_hash_param
string
required

Address hash in the path

Pattern: ^0x([A-Fa-f0-9]{40})$

Query Parameters

apikey
string
required

API key for rate limiting or for sensitive endpoints

key
string

Secret key for getting access to restricted resources

Response

Audit reports.

List of smart-contract's audit reports

items
AuditReport · object[]
required
next_page_params
object
required